unit HeaderFooterTemplate;

interface

uses
{$IFDEF ANDROID}
  Androidapi.JNI.App, Androidapi.JNI.OS,
{$ENDIF}
  FMX.StdCtrls, System.Classes, FMX.Types, FMX.Controls,
  FMX.Controls.Presentation, FMX.Forms, strutils,
  FMX.Dialogs, System.SysUtils, FMX.DialogService, IdHttp, IdTCPClient, IdSSLOpenSSLHeaders, IdMultipartFormData, IdSSLOpenSSL, IdURI,
  FMX.TMSFNCTypes, FMX.TMSFNCUtils, FMX.TMSFNCGraphics, FMX.TMSFNCGraphicsTypes,
  FMX.TMSFNCCustomControl, FMX.TMSFNCSignatureCapture, IOUtils;

type
  THeaderFooterForm = class(TForm)
    Header: TToolBar;
    Footer: TToolBar;
    HeaderLabel: TLabel;
    Button1: TButton;
    Button2: TButton;
    sigSignOff: TTMSFNCSignatureCapture;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  end;

var
  HeaderFooterForm: THeaderFooterForm;

implementation

{$IF Defined(IOS)}

uses
  IdSSLOpenSSLHeaders_Static;
{$ENDIF}
{$R *.fmx}

procedure THeaderFooterForm.Button1Click(Sender: TObject);
var localSigFilePathFilename: string;
begin
  localSigFilePathFilename := TPath.Combine(ExtractFileDir(ParamStr(0)), 'approvalSignature.sig');
  if (TFile.Exists(localSigFilePathFilename)) then
    sigSignOff.LoadFromFile(localSigFilePathFilename);
end;

procedure THeaderFooterForm.Button2Click(Sender: TObject);
var localSigFilePathFilename:string;
begin
  localSigFilePathFilename := TPath.Combine(ExtractFileDir(ParamStr(0)), 'approvalSignature.sig');
  sigSignOff.SaveToFile(localSigFilePathFilename);
end;

end.
